Skip to content

# Interface: MenuProps

Renderer.Component.MenuProps

## Table of contents

### Properties

- autoFocus
- children
- className
- closeOnClickItem
- closeOnClickOutside
- closeOnScroll
- htmlFor
- id
- isOpen
- position
- toggleEvent
- usePortal

### Methods

- close
- open

## Properties

### autoFocus

• `Optional` autoFocus: `boolean`

### children

• `Optional` children: `ReactNode`

### className

• `Optional` className: `string`

### closeOnClickItem

• `Optional` closeOnClickItem: `boolean`

### closeOnClickOutside

• `Optional` closeOnClickOutside: `boolean`

### closeOnScroll

• `Optional` closeOnScroll: `boolean`

### htmlFor

• `Optional` htmlFor: `string`

### id

• `Optional` id: `string`

### isOpen

• `Optional` isOpen: `boolean`

### position

• `Optional` position: MenuPosition

### toggleEvent

• `Optional` toggleEvent: `"click"` | `"contextmenu"`

### usePortal

• `Optional` usePortal: `boolean` | `HTMLElement`

## Methods

### close

▸ close(): `void`

#### Returns

`void`

### open

▸ open(): `void`

#### Returns

`void`